﻿# Game script beyond this!

init:
    # Shake effect
    $ sshake = Shake((0, 0, 0, 0), 1.0, dist=15)

    # Declare images below this line, using the image statement.
    image buspresent = "at_bus.jpg"
    image bus = "at_bus2.jpg"
    image home = "at_home.jpg"
    image homecol = "at_home_colour.jpg"
    image sketch = "titleearly.jpg"
    image sketch2 = "bosearly.jpg"
    image black = "#000000"
    image title = "Title Clean.jpg"

    # Declare characters used by this game.
    $ narrator  = Character(kind=nvl, ctc = anim.Blink("ctc.png"))
    $ centered  = Character(kind=nvl, ctc = anim.Blink("ctc.png"))


# The game starts here.
label start:

    # play sound doors.wav
    # $ renpy.pause(1.0)
    # bus seat by tanakawho from Flickr
    $ renpy.pause(0.5)
    "\"Whew!\" With a sigh, the boy drops down into his favourite seat. He always sits there, so I've come to think of it as his personal seat."
    " I've grown rather fond of seeing the boy every day."
    "\"So, about last time, you were gonna tell me about it!\" He smiles at me, brightly and excitedly."
    " I know what I promised, but I'll pretend I forgot."
    "\"Hmmm... was I?\" I rub my chin and pretend to think."
    " He takes the bait. He's so easy to tease."
    "\"Yes, you were!\" He leans forward, eyes fierce with determination."
    "\"Fine, fine, fine.\" With that, our daily routine is complete. I always pretend to be unwilling, and he always presses me to talk."
    nvl clear
    "\"This is almost ancient history to me. It happened very, very long ago.\""
    " But, even though it happened so long ago... if I just close my eyes, it all comes back to me."
    " With that simple gesture, I leap through time, back to when I was seventeen."
    nvl clear
    # # Ready until here. Dialogue polished and carefully adjusted. No problems unless editor thinks there are.
    $ renpy.pause(1.0)
    play music "Ordinary Routine.mp3" fadein 4.0
    scene home
    with dissolve
    # scene home by tiexano, Flickr
    $ renpy.pause(3.0)
    " Years ago, on June 21st."
    "{nw}"
    " Whew... it really is hot. But then, Summer has just begun. It's meant to be hot."
    " Just sitting in the sun makes me feel all dull and drowsy."
    " But if I fall asleep now, I'll be late. It's almost that time of the day, after all. The time of day I usually go out."
    " Most of my friends spend their holidays cooped up inside all day. Me? I can't stand being inside all day."
    " People under the age of sixty have no business locking themselves up indoors, after all!"
    " That's why I go out whenever I can."
    nvl clear
    " Before I leave, I always send mum a text to tell her. I think that's a good habit. Although my friends think it's silly, because I never stay out too long."
    " \"Hi mum. going out 4 usual. bb before dinner.\""
    " I used to write long text messages, but mum's gotten used to my habit now so I don't need to."
    " With that, I am ready to go."
    " ... See you soon, home."
    nvl clear
    $ renpy.pause(1.0)
    # sound door open
    # $ renpy.pause(1.0)
    # sound door close
    scene black
    with dissolve
    # play sound bus-stop.wav
    # $ renpy.pause(??)
    # play sound doors.wav
    # $ renpy.pause(0.6)
    scene bus
    with dissolve
    " When I get on the bus, the driver is all smiles."
    "\"Today again, Davis?\" I go by bus at this time so often, the driver and I know each other well."
    "\"That's right, mister Fairwell!\" I fish the money for a ticket out of my pocket, and with a trained gesture hand it to the driver -{w=0.3} and he returns my practised gesture with one of his own."
    " We exchange money and ticket at the same time."
    " Once before, mum had laughed when she had seen this exchange."
    "\"Have a nice trip,\" Fairwell grins, tipping his hat to me. Supposedly, he used to work for some rich guy somewhere."
    " Why he quit working for that man and became a bus driver in this remote town is beyond me, but Fairwell's a nice man and I like him, so I'm not complaining!"
    nvl clear
    " Taking the bus every Friday is my routine, more or less."
    " And every Friday, without fail, Fairwell is the driver. Because the bus only travels 'round town, it seems the drivers have a fixed schedule."
    nvl clear
    " I always sit near the back. After all, that's where my favourite seat is. Third from the back, window side."
    " Although today my seat already has an occupant. A girl, hardly older than me, is sitting in my chair. She's reading a book, occasionally pausing to glance out of the window."
    " There's no helping it. I slip into the seat in front of her -{w=0.3} if I can't have the best seat, I'll settle for second-best."
    nvl clear
    " The reason I ride the bus is because I love watching the scenery pass by. For Spring, there were the budding and blossoming flowers to look forward to."
    " But now that it's Summer, I look forward to the bright scenery. There's something beautiful about a green landscape."  
    " Now that I've sat down, I can focus on the scenery outside. The fruits on the apple trees have begun growing, and the empty patches of grass have become littered with flowers. This trip is well worth the money."
    " I could watch the scenery glide by for hours on end. It's sure better than staring at a screen all day."
    "{nw}"
    " ... heh, okay, that's a bit of an exaggeration."
    nvl clear
    "\"Having a nice day?\""
    " The girl behind me suddenly starts talking."
    "\"Hey, are you listening?\""
    " I guess she's talking on the ph--{nw}"
    stop music
    with sshake
    # It's better not to let her beat him up. That's just silly. Because this isn't an anime!
    "\"{size=+25}WHOAH!{/size}\"" 
    play music "Rachel.mp3" fadein 3.0
    nvl clear
    " Something suddenly moves beside me."
    "\"What's that exaggerated reaction for?!\" It's the girl that was sitting behind me. She's leaned forward from her chair, and suddenly put her face right next to mine."
    " The fierce way she's staring at me is almost unnerving."
    "\"You scared the heck outta me!\" Isn't it obvious that'd scare someone witless?"
    "\"Well, you were ignoring me!\""
    " I'm not an expert, but I don't think that's a good reason to start spooking people!"
    "\"You were talking to me?\""
    "\"Obviously.\""
    "\"But why?\""
    nvl clear
    " She sighs and shakes her head. \"Do I need a reason to talk to you?\""
    " Well, if you put it that way... I guess not."
    "\"What if I didn't want to talk?\""
    "\"You definitely want to talk. You look like the sort that gets bored being lonely.\" She grins as she says this, the very pink of confidence."
    nvl clear
    "\"So, what were you smiling about just now?\" she asks."
    # A violent girl? Really? She's not violent at all from what she'd displayed, so omit that. You're such a dummy.
    "\"N-no reason at all.\" Some thoughts are just too embarassing to be shared."
    "\"Just tell me already.\""
    " Sigh! I guess there's no helping it. I'll have to lie to her."
    "\"Well... I just won the lottery.\""
    " She groans and rolls her eyes."
    "\"If you want to tell a lie, at least make it a good one.\""
    "\"Okay, uh, I just got a good grade on my test.\""
    "\"The hols started two weeks ago.\" Well... that's true... oh, forget it, I'm bad at telling lies."
    "\"I just thought the scenery was nice.\" The girl doesn't say anything. I have no idea what goes on in that head of hers."
    " She nods at me just then, and grins again. \"That's good enough.\""
    nvl clear
    " A silence falls between us. It's awkward."
    "\"I was kind of hoping you'd have something to say.\" The girl speaks up, looking at me in a way I can't quite put home."
    "\"W-well, didn't you want to talk with me about something?\" Did she begin talking to me for no reason at all? She must be bored."
    "\"I was just curious. I was hoping there'd be something to talk about.\" We both fall quiet again."
    " Then, suddenly, she begins to laugh. It's a pleasant sort of laugh."
    "\"Just look at me!\" She smiles at me. \"Talking to someone out of the blue with nothing to talk about! I guess you think I'm weird.\""
    "\"N-no, not really!\" It's true that it's weird to start talking to strangers suddenly, but it's not a bad thing!"
    "\"Really?\""
    "\"Really.\""
    nvl clear
    # SUDDENLY, a conversation!
    $ renpy.pause(3.0)
    " We spend the ride talking with each other. I find out her name's Rachel, and she attends school studying how to become a teacher. She's actually three years older than I am."
    " I also find out that she likes trains more than she likes busses, and that she wishes her aunt would have lived near a railway station instead of this remote town."
    " ... I guess she lives with her aunt."
    nvl clear
    "\"--and worst of all is the supermarket--\" Rachel is a flurry of words. I can hardly get a word in. All I do is look at her face, and occassionally I nod or agree with her."
    " Rachel's expression changes from happy, to scowling, to angry rapidly, whichever fits her story."
    " She abruptly stops in mid-sentence when the bus comes to a stop."
    stop music fadeout 1.0
    "\"Well, this is my stop, Davey. You're good at listening, you know that?\" She smiles at me. I almost want to say, 'You're welcome'."
    "\"See you later!\" Before I can say a word, Rachel's already reached the door and, with a quick wave, she jumps out and I'm left alone."
    nvl clear
    # Continue the story with some more background information, or something... probably going to have it rush forward some.
    scene black
    with dissolve
    " Afterwards, meeting Rachel on the bus became a weekly event. Of course, we just happened to take the same bus at the same time on the same day, but I wanted to think it was a special coincidence anyway."
    " And for a good while, she was just a girl I'd meet on the bus, and who'd talk to me about everything; from the smell of flowers to the shapes of clouds, there just wasn't a thing she didn't talk about."
    " I grew to love her stories. She was always lively and animated, and she drew me into her stories every single time."
    " I found myself telling stories of my own. They weren't very interesting, I think, but she seemed to enjoy them. Rachel always urged me to go on."
    " I looked forward to talking with her. Hearing her talk, or commenting on my day... I longed for those moments."
    " What began as a somewhat weird habit changed into a recurring weekly event. And I loved every minute of that event."
    nvl clear
    " I don't know exactly why, or when it happened, but... well, who does know when they fall in love with someone?"
    " At first, I was just happy being able to talk with her. But as the days passed, I wanted more than just talk with her."
    " I wanted to go out with her."
    " So, one day, I gathered my courage, and decided I'd ask her."
    $ renpy.pause(1.0)
    scene home
    play music "Ordinary Routine.mp3" fadein 4.0
    with dissolve
    $ renpy.pause(3.0)
    nvl clear
    " On August 4th, I set out to ask her out."
    "{nw}"
    " Sigh! I hope this'll go well. I've never asked a girl out before. What do I say?"
    " When do I say it? And more importantly, how?"
    " I've asked myself these questions countless times at night, so much that I could hardly sleep."
    " In the end, I still don't know the answers. All I know is that it's sink or swim. I'll definitely ask her today."
    " I have to. I promised myself. If I don't dare to ask her today, I'll never dare to."
    nvl clear
    scene bus
    with dissolve
    "\"Feeling a little ill, Davis?\" Fairwell frowns at me. He looks concerned."
    "\"It's nothing, I'm fine,\" I tell him. Fairwell laughs, and holds my ticket out to me. Without a word, we exchange ticket and money."
    " Each step further into the bus takes me closer to her. Closer to the moment."
    " I want to be close to her. But I also want to be away from her. What face will she make if -{w=0.3} no, when I tell her I love her?"
    nvl clear
    " Well, then. Moment of truth. Words, don't fail me now."
    "\"Hey, Rachel!\" My cheery greeting is practised from weeks of meeting her. Rachel, as always, will respond with a big grin and say \"You're late!\"... or something like that."
    " ... at least, she's supposed to. But not today, for some reason. She looks different. Glum."
    "\"Is everything alright?\" I seat myself next to her."
    " Now that I'm up close, I can actually see that she's cried. Her red eyes are irrefutable proof of this."
    stop music fadeout 4.0
    "\"Ah... hey, Davey.\" Rachel's voice is weak, and unlike her."
    " I wonder what's wrong with her. Should I ask? I should ask. There's no question whether I should ask or not!"
    "\"Did something happen?\""
    nvl clear
    # play music "Trio for Piano, Cello, and Clarinet.mp3" fadein 3.0
    play music "A Mutual Sadness.mp3" fadein 1.0
    " Rachel looks at me. I can see her teared up eyes."
    " Weakly, she replies, \"Everything's gone wrong, Davey. Everything.\""
    " I don't know what's happened, but for the cheerful Rachel to be this upset, it must be something terrible."
    "\"Do you... want to talk about it?\""
    " Rachel smiles at me. It looks forced, weakly and fragile, but still precious. \"Thanks, Davey.\""
    nvl clear
    "\"It's just... well, you know the guy I talked to you about?\""
    " She's talked a few times about this guy she admires, who is always supportive of everyone around him."
    " A great guy, she's assured me, who is always ready to help, and whose cheer sparks up any day."
    " I've always imagined him as Rachel's male counterpart."
    "\"Well, I...\" Rachel hesitates for a moment, but then carries on. \"I guess I... fell for him, one day.\""
    "\"When I told him today, he said he just couldn't...\" She struggles to keep her tears in. \"... that he couldn't see me as... his girlfriend.\""
    nvl clear
    " She loved him. He turned her down. I love her. Will she turn me down?"
    " All that time at night, worrying over how to tell her I like her all seem so meaningless now."
    " She already has someone she likes. For me, who she did not like, what use is there in confessing now? Nothing'll come of it."
    " I know Rachel's talking on. I can hear her voice, but I don't understand the words. I don't want to."
    " I want to hold her, and tell her I love her. I want to scream, and yell, and love her."
    " I want her to love me. I want to hold her."
    " She loves someone else. And he turned her down."
    nvl clear
    "\"... Davey. Thanks, for listening.\" I just nod. I don't know what else to do but nod."
    " All I do is watch her leave. Watch her sad figure disappear into the horizon as the bus drives on."
    " All I do is watch my first love disappear from view."
    # stop music fadeout 1.0
    scene black
    with dissolve
    " ... after Rachel had left, I couldn't stop my tears."
    nvl clear
    " Fairwell noticed when we reached my stop, and he had kindly sat beside me. He even called in a colleague to take his shift, and he walked me home."
    " I talked to him, about Rachel and my feelings. And he had listened, patiently, sternly."
    " In the end, that was the last time I'd ever seen Rachel."
    " I didn't dare face her, so I didn't take the bus for two weeks."
    " When I took the bus again, she wasn't there anymore."
    "{nw}"
    stop music fadeout 2.0
    " I wonder what became of her..."
    nvl clear
    play music "Nice Day.mp3" fadein 4.0
    scene buspresent
    with dissolve
    $ renpy.pause(3.0)
    "\"Come on, mister Brooks! A promise is a promise!\" The kid's voice pulls me back to reality."
    " I can feel my eyes watering up. Heh, even though it was twenty years ago... it's still a sore spot."
    "\"Well, you see...\" Just for today, I'll relive that memory."
    " I'll tell my story to this kid, who rides with me every time."
    " Old Fairwell's no longer a bus driver. But his kindness that day touched my heart."
    "{nw}"
    " That sounds incredibly cheesy, but life's a cheeseburger anyway."
    nvl clear
    " So here I am, a bus driver telling stories to an elementary school kid."
    " But that's all right. After all, I enjoy it."
    " Every day, I tell him a story. Sometimes something about me, sometimes something fictional."
    " And every day, afterwards I smile at him and say,{nw}"
    "{nw}"
    "\"So, had a nice day?\""
    nvl clear
    scene black
    with dissolve
    $ renpy.pause(1.0)
    # Good job! You finished your story! Pat yourself on the back, you've deserved it.
    # No, really, you do!
